#!/usr/bin/env python

"""
 Comments by richard terry gnumed project as a learning tool
 rterry@gnumed.net, www.gnumed.org
 
 img2py.py comments taken from img2py.py from wxPython
 
 This file can be used as a template to compile a file containing the
 images you may wish to use in your program, on toolbars etc

 I have included all the necessary files in the create_images_py_file
 subdirectory
 
 ------------------------------------------------------------------------------ 
 Explanation of what happens and meaning of flags

 img2py.py  --  Convert an image to XPM format and embed it in a Python
               module with appropriate code so it can be loaded into
               a program at runtime.  The benefit is that since it is
               Python source code it can be delivered as a .pyc or
               'compiled' into the program using freeze, py2exe, etc.

 Usage:

    img2py.py [options] image_file python_file

 Options:

    -m <#rrggbb>   If the original image has a mask or transparency defined
                   it will be used by default.  You can use this option to
                   override the default or provide a new mask by specifying
                   a colour in the image to mark as transparent.

    -n <name>      Normally generic names (getBitmap, etc.) are used for the
                   image access functions.  If you use this option you can
                   specify a name that should be used to customize the access
                   fucntions, (getNameBitmap, etc.)

    -a             This flag specifies that the python_file should be appended
                   to instead of overwritten.  This in combination with -n will
                   allow you to put multiple images in one Python source file.

    -u             Don't use compression.  Leaves the data uncompressed.
    ----------------------------------------------------------------------------
    
    To create an image file for your project do the following
    
    1) Save a copy of this template (i.e. 'encode_bitmaps_template.py') in your favourite
       editor using Save As... and it will become the file to run to create your images.
       (this way you won't destroy the template file).
       
       i.e call it e.g 'encode_bitmaps_myproject.py' and save it in the top directory
       which contains img2py.py
      
    2) Save a copy of the file template 'image_file_template.py' (which contains the necessary
       headers to later retrieve the images in your program) prior to running
       encode_bitmaps_myproject.py by Save As.. in your favourite editor
       e.g 'images_myproject.py'. When the process is complete, this file will have 
       the images you list as per the example below, added into it.
      
    2) Bitmaps or other image files you intend to include should be in a 
       subdirectory of your main directory.
       
    3) Change the names below to match what you want the image(s) to be called
       and the directory(s) they are located. 
       
       e.g If you wanted a picture on a button of a toolbar in your application
           for the user to click to exit the program you could call it 'Exit'
           and have a representative bitmap called Exit.bmp'
           
           i.e -a -n Exit bitmapdirectoryname/Exit.bmp destinationimagedirectory/images_myproject.py
           
     4) using a terminal go to the top directory and run:
         
         python encode_bitmaps_myproject.py
         
         and if all goes well your file will be generated.

"""
#---------------------------------------------------------------------- 
import sys, string
sys.path.insert(0, "../tools")

import img2py


command_lines = [
    "-a -n Imagename1 medrec_bitmaps/Imagename1.bmp images_filename.py",
    "-a -n Imagename2 medrec_bitmaps/Imagename2.bmp images_filename.py",
    "-a -n Imagename3 medrec_bitmaps/Imagename3.bmp images_filename.py",
    "-a -n Imagename4 medrec_bitmaps/Imagename4.bmp images_filename.py",
       ]


for line in command_lines:
    args = string.split(line)
    img2py.main(args)

